use anyhow::Result;

use crate::repo::Storage;

impl Storage {
    pub async fn retrieve_user_id_by_name(&self, name: &str) -> Result<Option<u32>> {
        let mut executor = self.conn.lock().await;
        let res: Option<(u32,)> = sqlx::query_as("select u.id from users u where u.name = ?;")
            .bind(name)
            .fetch_optional(&mut *executor)
            .await?;

        Ok(res.map(|(id,)| id))
    }
}
